#include <stdio.h>
#include <stdlib.h>

typedef struct person_ {
    char *first_name;
    char *family_name;
} person ;

int main() {
    person *p;
    person *tmp;

    p = calloc(1, sizeof(person));
    if (p==NULL) {
        fprintf(stderr, "Failed to allocate memory!\n");
        return 1; // indicate errror to user
    }

    free(p);
    return 0;
}
